import { TokenModel } from "./tokenmodel";

/**
    TokenModel
        id: string;
        issuedAt: number;
        subject: object;
        issuer: string;
        iat: number;
        exp: number;

 */
declare module 'security-ndjs-lib' {
    export function createJWT(id: string, subject: object, time?: number): string;
    export function parseJWT(token?: string, id?: string): TokenModel; // Adjust the signature if needed
}